Nowe posty

xx Ocena odpowiedzi - włączenie funkcji forum (1)
2022-01-18, 17:00:43
xx Instalacja Linux pop!os na laptopie bez systemu (10)
2022-01-13, 19:00:51
xx Stary Asus x71sl , nie startuje żaden linux (8)
2022-01-11, 19:00:52
xx HDMI - problem w poprawnym działaniu (0)
2022-01-11, 13:09:19
xx Search redirecting (4)
2022-01-08, 12:12:02
xx Jak to wersja (24)
2022-01-07, 00:22:09
xx Zadanie (1)
2022-01-06, 09:34:34
xx Skrypt usuwający zawartość folderu przy wyłączaniu komputera (8)
2022-01-06, 05:32:29
xx Jak w Manjaro uniemożliwić montowanie innych dysków? (5)
2022-01-06, 05:25:25
xx Problem z prawami dostępu (2)
2022-01-04, 14:40:03

Autor Wątek: Aktualizacja ze ?róde?  (Przeczytany 2733 razy)

-Rythin-

  • Gość
Aktualizacja ze ?róde?
« dnia: 2005-07-23, 14:15:08 »
Hej.
Probowalem kompilowac KDE Konstruktem. Wysypuje sie stado ciekawych bledow zwiazanych z ltdl.c (az wkleje wszystkie)

ltdl.c:186: error: `LTDL_OBJDIR\\' undeclared here (not in a function)
ltdl.c:272: error: `malloc\\' undeclared here (not in a function)
ltdl.c:274: error: `free\\' undeclared here (not in a function)
ltdl.c: In function `rpl_strdup\\':
ltdl.c:371: warning: implicit declaration of function `strlen\\'
ltdl.c:374: warning: implicit declaration of function `strcpy\\'
ltdl.c: In function `rpl_realloc\\':
ltdl.c:519: warning: implicit declaration of function `realloc\\'
ltdl.c: In function `presym_init\\':
ltdl.c:1120: warning: unused parameter `loader_data\\'
ltdl.c: In function `presym_exit\\':
ltdl.c:1161: warning: unused parameter `loader_data\\'
ltdl.c: In function `presym_open\\':
ltdl.c:1207: warning: unused parameter `loader_data\\'
ltdl.c: In function `presym_close\\':
ltdl.c:1253: warning: unused parameter `loader_data\\'
ltdl.c: In function `presym_sym\\':
ltdl.c:1263: warning: unused parameter `loader_data\\'
ltdl.c: In function `lt_dlpreload\\':
ltdl.c:1364: warning: unused variable `errormsg\\'
ltdl.c: In function `lt_dlexit\\':
ltdl.c:1394: warning: unused variable `errormsg\\'
ltdl.c: In function `find_module\\':
ltdl.c:1581: warning: implicit declaration of function `sprintf\\'
ltdl.c:1611: warning: implicit declaration of function `strcat\\'
ltdl.c: In function `find_file\\':
ltdl.c:1744: warning: implicit declaration of function `strncpy\\'
ltdl.c:1760: error: `FILE\\' undeclared (first use in this function)
ltdl.c:1760: error: (Each undeclared identifier is reported only once
ltdl.c:1760: error: for each function it appears in.)
ltdl.c:1760: error: `file\\' undeclared (first use in this function)
ltdl.c:1760: warning: implicit declaration of function `fopen\\'
ltdl.c: In function `load_deplibs\\':
ltdl.c:1795: warning: unused parameter `deplibs\\'
ltdl.c: In function `lt_dlopen\\':
ltdl.c:2055: warning: implicit declaration of function `memset\\'
ltdl.c:2109: error: `FILE\\' undeclared (first use in this function)
ltdl.c:2109: error: `file\\' undeclared (first use in this function)
ltdl.c:2134: warning: implicit declaration of function `isalnum\\'
ltdl.c:2152: error: syntax error before \\')\\' token
ltdl.c:2155: error: syntax error before \\')\\' token
ltdl.c:2192: warning: implicit declaration of function `fclose\\'
ltdl.c:2199: warning: implicit declaration of function `feof\\'
ltdl.c:2201: warning: implicit declaration of function `fgets\\'
ltdl.c:2226: warning: implicit declaration of function `strncmp\\'
ltdl.c:2272: error: `NULL\\' undeclared (first use in this function)
ltdl.c:2357: warning: implicit declaration of function `getenv\\'

Jakies pomysly? Jakich informacji jeszcze ew. potrzeba do diagnozy? (nie musze dodawac, ze jestem na poziomie \\'learning n00b\\' ;-))

Pozdrawiam,
R.

drogi

  • Gość
Aktualizacja ze ?róde?
« Odpowiedź #1 dnia: 2005-11-11, 03:03:34 »
Czesc, mialem ten sam problem. Poszukalem troche na goglach i znalazlem rozwiazanie:) Blad o ktorym piszesz jest spowodowany nieaktualna wersja \\'autoconf\\'. Wazne jest zeby przed instalacja mozliwie najnowszej wersji autoconf wywalic foldery cookies i work z konstruct/kde/kdelibs. U mnie nawet to nie pomoglo wiec wywalilem caly katalog konstruct, rozpakowalem na nowo, zainstalowalem najnowsze autoconf i puscilem kompilacje konstruct\\'a bez qt3 ktora trwa dosyc dlugo. I pomoglo, mam nadzieje ze sie sprawdzi u innych,
pozdrawiam!
Piotrek

Kobcio

  • Gość
Aktualizacja ze ?róde?
« Odpowiedź #2 dnia: 2005-07-23, 11:12:36 »
Witam
Mam Kadu 0.4.0 instalowane ze ?róde?, a teraz pojawila si? wersja nowsza ( 0.4.1 ) i chcia?bym sobie moje Kadu upgrade'owa? , i teraz : musze usun?? stare Kadu i dopiero zainstalowac nowe ?? a je?li tak to jak moge zachowac liste kontaktow i ustawienia w kofiguracji ?? a jesli nie musze usuwa? starego to jak mam to zrobic ??
Kobcio

Maciek_Rutecki

  • Gość
Aktualizacja ze ?róde?
« Odpowiedź #3 dnia: 2005-07-23, 11:46:02 »
2005-07-23 11:12:36 Kobcio napisa?:

> Witam
 > Mam Kadu 0.4.0 instalowane ze ?róde?, a teraz pojawila si? wersja nowsza ( 0.4.1 ) i chcia?bym
 > sobie moje Kadu upgrade'owa? , i teraz : musze usun?? stare Kadu i dopiero zainstalowac nowe ??
 > a je?li tak to jak moge zachowac liste kontaktow i ustawienia w kofiguracji ?? a jesli nie musze
 > usuwa? starego to jak mam to zrobic ??
 > Kobcio

Witam

Odinstaluj stare (konfiguracja i kontakty zostana w katalogu ~/.gg, wiec nie ma obaw) wydajac polecenie make uninstall w katalogu z zrodlami, z skompilowanym kadu i kompilujesz nowe.

--
Maciek

Kobcio

  • Gość
Aktualizacja ze ?róde?
« Odpowiedź #4 dnia: 2005-07-23, 20:29:32 »
Dzieki, tak wlasnie zamierzalem zrobic tylko nie bylem pewien tych plikow konfiguracyjnych, ale skoro zostaja to juz nie ma obaw,
Kobcio